## GnomeDbDsnSelector

GnomeDbDsnSelector — Choose a data source

##

# Synopsis

    struct      GnomeDbDsnSelector;
    struct      GnomeDbDsnSelectorClass;
    struct      GnomeDbDsnSelectorPrivate;
    GtkWidget*  gnome_db_dsn_selector_new       (void);
    gchar*      gnome_db_dsn_selector_get_dsn   (GnomeDbDsnSelector *selector);
    void        gnome_db_dsn_selector_set_dsn   (GnomeDbDsnSelector *selector,
                                                 const gchar *dsn);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkComboBox
                                           +----GnomeDbCombo
                                                 +----GnomeDbDsnSelector

## Implemented Interfaces

GnomeDbDsnSelector implements GtkCellLayout, GtkCellEditable, AtkImplementorIface and GtkBuildable.

## Properties

      "source-name"          gchararray           : Read / Write

## Description

## Details

### struct GnomeDbDsnSelector

    struct GnomeDbDsnSelector;

### struct GnomeDbDsnSelectorClass

    struct GnomeDbDsnSelectorClass {

    	GnomeDbComboClass                 parent_class;
    };

### struct GnomeDbDsnSelectorPrivate

    struct GnomeDbDsnSelectorPrivate;

### gnome_db_dsn_selector_new ()

    GtkWidget*  gnome_db_dsn_selector_new       (void);

Create a new GnomeDbDsnSelector, which is just a GtkComboBox which displays, as its items, all the data sources currently configured in the system. It is useful for connection and configuration screens, where the user has to choose a data source to work with.

Returns : | the newly created widget.

### gnome_db_dsn_selector_get_dsn ()

    gchar*      gnome_db_dsn_selector_get_dsn   (GnomeDbDsnSelector *selector);

Get the Data Source Name (DSN) actualy selected in the GnomeDbDsnSelector.

`selector` : |
Returns : | the DSN name actualy selected as a new string.

### gnome_db_dsn_selector_set_dsn ()

    void        gnome_db_dsn_selector_set_dsn   (GnomeDbDsnSelector *selector,
                                                 const gchar *dsn);

Set the selected Data Source Name (DSN) in the GnomeDbDsnSelector.

`selector` : |
`dsn` : |

## Properties

"`source-name`" (gchararray : Read / Write) |